﻿package implement

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/dao"
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/models"
	zhios_order_relate_logx "code.fnuoos.com/go_rely_warehouse/zyos_model.git/utils/logx"
	"xorm.io/xorm"
)

func NewSuperCloudIssuanceBasicDb(engine *xorm.Engine) dao.SuperCloudIssuanceBasicDao {
	return &SuperCloudIssuanceBasicDb{Db: engine}
}

type SuperCloudIssuanceBasicDb struct {
	Db *xorm.Engine
}

func (s SuperCloudIssuanceBasicDb) GetSuperCloudIssuanceBasic() (m *models.SuperCloudIssuanceBasic, err error) {
	m = new(models.SuperCloudIssuanceBasic)
	has, err := s.Db.Where("id >= 1").Get(m)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	if has == false {
		return nil, nil
	}
	return m, nil
}
