package models

type SuperCloudIssuanceUserRobotWithActivateGroup struct {
	Id                      int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	Uid                     int    `json:"uid" xorm:"not null default 0 comment('uid') INT(11)"`
	Name                    string `json:"name" xorm:"not null default '' comment('群名称') VARCHAR(255)"`
	RobotId                 int    `json:"robot_id" xorm:"not null default 0 comment('机器人id') INT(11)"`
	ChatRoomId              string `json:"chat_room_id" xorm:"not null default '' comment('微信群id') VARCHAR(255)"`
	ChatRoomOwnerWxNickname string `json:"chat_room_owner_wx_nickname" xorm:"not null default '' comment('群所有者微信昵称') VARCHAR(255)"`
	ChatRoomOwnerWxHeadUrl  string `json:"chat_room_owner_wx_head_url" xorm:"not null default '' comment('群所有者微信头像') VARCHAR(255)"`
	ChatRoomOwner           string `json:"chat_room_owner" xorm:"not null default '' comment('群所有者') VARCHAR(255)"`
	MemberCount             int    `json:"member_count" xorm:"not null default 0 comment('群成员数') INT(11)"`
	BigHeadImgUrl           string `json:"big_head_img_url" xorm:"not null default '' comment('大的群头像') VARCHAR(255)"`
	SmallHeadImgUrl         string `json:"small_head_img_url" xorm:"not null default '' comment('小的群头像') VARCHAR(255)"`
	State                   int    `json:"state" xorm:"not null default 1 comment('状态(1正常 2暂停)') TINYINT(1)"`
	CreateAt                string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('创建时间') DATETIME"`
	UpdateAt                string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('更新时间') DATETIME"`
}
