package models

type SuperCloudIssuanceSensitiveWordReplace struct {
	Id             int    `json:"id" xorm:"not null pk autoincr comment('自增id') INT(11)"`
	SensitiveWord  string `json:"sensitive_word" xorm:"not null default '' comment('敏感词内容') VARCHAR(255)"`
	ReplaceContent string `json:"replace_content" xorm:"not null comment('替换内容') TEXT"`
	CreateAt       string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('创建时间') DATETIME"`
	UpdateAt       string `json:"update_at" xorm:"default 'CURRENT_TIMESTAMP' comment('更新时间') DATETIME"`
}
